### Hierarchy

- unknown
  - F2FAccountPayload

## Index

### Constructors

- constructor

### Methods

- getCity
- getContact
- getExtraInfo
- serializeBinary
- setCity
- setContact
- setExtraInfo
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new F2FAccountPayload(): F2FAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns F2FAccountPayload

## Methods

### getCity

- getCity(): string

- - Defined in src/protobuf/pb_pb.d.ts:5313

  #### Returns string

### getContact

- getContact(): string

- - Defined in src/protobuf/pb_pb.d.ts:5310

  #### Returns string

### getExtraInfo

- getExtraInfo(): string

- - Defined in src/protobuf/pb_pb.d.ts:5316

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5319

  #### Returns Uint8Array

### setCity

- setCity(value: string): F2FAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5314

  #### Parameters

  - ##### value: string

  #### Returns F2FAccountPayload

### setContact

- setContact(value: string): F2FAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5311

  #### Parameters

  - ##### value: string

  #### Returns F2FAccountPayload

### setExtraInfo

- setExtraInfo(value: string): F2FAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5317

  #### Parameters

  - ##### value: string

  #### Returns F2FAccountPayload

### toObject

- toObject(includeInstance?: boolean): F2FAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5320

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns F2FAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): F2FAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5323

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns F2FAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: F2FAccountPayload, reader: BinaryReader): F2FAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5324

  #### Parameters

  - ##### message: F2FAccountPayload

  - ##### reader: BinaryReader

  #### Returns F2FAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: F2FAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5322

  #### Parameters

  - ##### message: F2FAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: F2FAccountPayload ): F2FAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5321

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: F2FAccountPayload

  #### Returns F2FAccountPayload . AsObject

Generated using TypeDoc